DSPLIT(1)

NAME
dsplit - splits a large file into pieces

SYNOPSIS
dsplit [ -size nnn ] [ input_file [ output_base ] ]

DESCRIPTION
dsplit splits binary files into smaller chunks so that they may be placed on floppy disks.

OPTIONS

-size nnn
    Specifies the size of each output file, in bytes. The default is 1457000, which is enough to will a 1.44 MB floppy disk.

input_file
    Specifies the name of the file to split up. A - indicates standard input. The default is standard input.

output_base
    Specifies the name of the output files to be written. dsplit will append 000, 001, ..., to the output_base. The default is "dsplit".

AUTHOR'S NOTES
Submitted-by: arnstein@netcom.com (David Arnstein)
Posting-number: Volume 40, Issue 51
Archive-name: dsplit/part01
Environment: MS-DOS, UNIX

Here is a portable binary file splitting program. It reads a binary file and splits it into pieces. I use this program to put large binary files on floppy disks. For this reason, the default size of the output files is 1,457,000 bytes, which just about fills up a 1.44 MB floppy disk.

Unlike other binary split programs I have seen, dsplit does not malloc a huge block of memory. Dsplit is suitable for use under MSDOS and other primitive operating systems.

(The program came from gatekeeper.dec.com:/pub/usenet/comp.sources.misc/volume40/dsplit).